- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- File List
- File Members

Defines | Functions

# qatomic_i386.h File Reference

Go to the source code of this file.

## Defines
#define | Q_ATOMIC_INT_REFERENCE_COUNTING_IS_ALWAYS_NATIVE
#define | Q_ATOMIC_INT_REFERENCE_COUNTING_IS_WAIT_FREE
#define | Q_ATOMIC_INT_TEST_AND_SET_IS_ALWAYS_NATIVE
#define | Q_ATOMIC_INT_TEST_AND_SET_IS_WAIT_FREE
#define | Q_ATOMIC_INT_FETCH_AND_STORE_IS_ALWAYS_NATIVE
#define | Q_ATOMIC_INT_FETCH_AND_STORE_IS_WAIT_FREE
#define | Q_ATOMIC_INT_FETCH_AND_ADD_IS_ALWAYS_NATIVE
#define | Q_ATOMIC_INT_FETCH_AND_ADD_IS_WAIT_FREE
#define | Q_ATOMIC_POINTER_TEST_AND_SET_IS_ALWAYS_NATIVE
#define | Q_ATOMIC_POINTER_TEST_AND_SET_IS_WAIT_FREE
#define | Q_ATOMIC_POINTER_FETCH_AND_STORE_IS_ALWAYS_NATIVE
#define | Q_ATOMIC_POINTER_FETCH_AND_STORE_IS_WAIT_FREE
#define | Q_ATOMIC_POINTER_FETCH_AND_ADD_IS_ALWAYS_NATIVE
#define | Q_ATOMIC_POINTER_FETCH_AND_ADD_IS_WAIT_FREE
## Functions
Q_CORE_EXPORT int | q_atomic_test_and_set_int (volatile int *ptr, int expected, int newval)
Q_CORE_EXPORT int | q_atomic_test_and_set_ptr (volatile void *ptr, void *expected, void *newval)
Q_CORE_EXPORT int | q_atomic_increment (volatile int *ptr)
Q_CORE_EXPORT int | q_atomic_decrement (volatile int *ptr)
Q_CORE_EXPORT int | q_atomic_set_int (volatile int *ptr, int newval)
Q_CORE_EXPORT void * | q_atomic_set_ptr (volatile void *ptr, void *newval)
Q_CORE_EXPORT int | q_atomic_fetch_and_add_int (volatile int *ptr, int value)
Q_CORE_EXPORT void * | q_atomic_fetch_and_add_ptr (volatile void *ptr, int value)

## Define Documentation

#define Q_ATOMIC_INT_REFERENCE_COUNTING_IS_ALWAYS_NATIVE

Search for all occurrences

Definition at line 48 of file qatomic_i386.h.

#define Q_ATOMIC_INT_REFERENCE_COUNTING_IS_WAIT_FREE

Search for all occurrences

Definition at line 49 of file qatomic_i386.h.

#define Q_ATOMIC_INT_TEST_AND_SET_IS_ALWAYS_NATIVE

Search for all occurrences

Definition at line 56 of file qatomic_i386.h.

#define Q_ATOMIC_INT_TEST_AND_SET_IS_WAIT_FREE

Search for all occurrences

Definition at line 57 of file qatomic_i386.h.

#define Q_ATOMIC_INT_FETCH_AND_STORE_IS_ALWAYS_NATIVE

Search for all occurrences

Definition at line 64 of file qatomic_i386.h.

#define Q_ATOMIC_INT_FETCH_AND_STORE_IS_WAIT_FREE

Search for all occurrences

Definition at line 65 of file qatomic_i386.h.

#define Q_ATOMIC_INT_FETCH_AND_ADD_IS_ALWAYS_NATIVE

Search for all occurrences

Definition at line 72 of file qatomic_i386.h.

#define Q_ATOMIC_INT_FETCH_AND_ADD_IS_WAIT_FREE

Search for all occurrences

Definition at line 73 of file qatomic_i386.h.

#define Q_ATOMIC_POINTER_TEST_AND_SET_IS_ALWAYS_NATIVE

Search for all occurrences

Definition at line 80 of file qatomic_i386.h.

#define Q_ATOMIC_POINTER_TEST_AND_SET_IS_WAIT_FREE

Search for all occurrences

Definition at line 81 of file qatomic_i386.h.

#define Q_ATOMIC_POINTER_FETCH_AND_STORE_IS_ALWAYS_NATIVE

Search for all occurrences

Definition at line 90 of file qatomic_i386.h.

#define Q_ATOMIC_POINTER_FETCH_AND_STORE_IS_WAIT_FREE

Search for all occurrences

Definition at line 91 of file qatomic_i386.h.

#define Q_ATOMIC_POINTER_FETCH_AND_ADD_IS_ALWAYS_NATIVE

Search for all occurrences

Definition at line 100 of file qatomic_i386.h.

#define Q_ATOMIC_POINTER_FETCH_AND_ADD_IS_WAIT_FREE

Search for all occurrences

Definition at line 101 of file qatomic_i386.h.

## Function Documentation

Q_CORE_EXPORT int q_atomic_test_and_set_int | ( | volatile int * | ptr,
|  | int | expected,
|  | int | newval
| ) |  |

Search for all occurrences

Q_CORE_EXPORT int q_atomic_test_and_set_ptr | ( | volatile void * | ptr,
|  | void * | expected,
|  | void * | newval
| ) |  |

Search for all occurrences

Q_CORE_EXPORT int q_atomic_increment | ( | volatile int * | ptr | ) |

Search for all occurrences

Q_CORE_EXPORT int q_atomic_decrement | ( | volatile int * | ptr | ) |

Search for all occurrences

Q_CORE_EXPORT int q_atomic_set_int | ( | volatile int * | ptr,
|  | int | newval
| ) |  |

Search for all occurrences

Q_CORE_EXPORT void* q_atomic_set_ptr | ( | volatile void * | ptr,
|  | void * | newval
| ) |  |

Search for all occurrences

Q_CORE_EXPORT int q_atomic_fetch_and_add_int | ( | volatile int * | ptr,
|  | int | value
| ) |  |

Search for all occurrences

Q_CORE_EXPORT void* q_atomic_fetch_and_add_ptr | ( | volatile void * | ptr,
|  | int | value
| ) |  |

Search for all occurrences